digiKam Developer Documentation: Digikam::EditorCore Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | Protected Slots | List of all members
Digikam::EditorCore Class Reference
Inheritance diagram for Digikam::EditorCore:

## Signals
void | signalFileOriginChanged (const QString &filePath)
void | signalImageLoaded (const QString &filePath, bool success)
void | signalImageSaved (const QString &filePath, bool success)
void | signalLoadingProgress (const QString &filePath, float progress)
void | signalLoadingStarted (const QString &filename)
void | signalModified ()
void | signalSavingProgress (const QString &filePath, float progress)
void | signalSavingStarted (const QString &filename)
void | signalUndoStateChanged ()

## Public Member Functions
void | abortSaving ()
void | applyTransform (const IccTransform &transform)
int | availableRedoSteps () const
int | availableUndoSteps () const
int | bytesDepth () const
void | clearUndoManager ()
void | convertDepth (int depth)
QPixmap | convertToPixmap (const DImg &img) const
| Convert a DImg image to a pixmap for screen using color managed view if necessary.
void | crop (const QRect &rect)
QString | ensureHasCurrentUuid () const
bool | exifRotated () const
void | flipHoriz ()
void | flipVert ()
IccProfile | getEmbeddedICC () const
ExposureSettingsContainer * | getExposureSettings () const
ICCSettingsContainer | getICCSettings () const
QString | getImageFileName () const
QString | getImageFilePath () const
QString | getImageFormat () const
DImageHistory | getImageHistoryOfFullRedo () const
DImg * | getImg () const
DImg | getImgSelection () const
| Image properties.
DImageHistory | getInitialImageHistory () const
DImageHistory | getItemHistory () const
MetaEngineData | getMetadata () const
QStringList | getRedoHistory () const
DImageHistory | getResolvedInitialHistory () const
QRect | getSelectedArea () const
QStringList | getUndoHistory () const
bool | hasAlpha () const
int | height () const
void | imageUndoChanged (const UndoMetadataContainer &c)
bool | isReadOnly () const
bool | isValid () const
void | load (const QString &filename, IOFileSettings *const iofileSettings)
QSize | loadedSize () const
int | origHeight () const
int | origWidth () const
void | provideCurrentUuid (const QString &uuid)
void | putIccProfile (const IccProfile &profile)
void | putImg (const QString &caller, const FilterAction &action, const DImg &img)
void | putImgSelection (const QString &caller, const FilterAction &action, const DImg &img)
void | readMetadataFromFile (const QString &file)
void | redo ()
void | resetImage ()
void | restore ()
void | rollbackToOrigin ()
void | rotate180 ()
void | rotate270 ()
void | rotate90 ()
| Image transforms.
void | saveAs (const QString &file, IOFileSettings *const iofileSettings, bool setExifOrientationTag, const QString &givenMimeType, const QString &intendedFilePath)
void | saveAs (const QString &file, IOFileSettings *const iofileSettings, bool setExifOrientationTag, const QString &givenMimeType, const VersionFileOperation &operation)
void | setDisplayingWidget (QWidget *const widget)
void | setExifOrient (bool exifOrient)
void | setExposureSettings (ExposureSettingsContainer *const expoSettings)
void | setFileOriginData (const QVariant &data)
void | setHistoryIsBranch (bool isBranching)
void | setICCSettings (const ICCSettingsContainer &cmSettings)
void | setLastSaved (const QString &filePath)
void | setModified ()
void | setResolvedInitialHistory (const DImageHistory &history)
void | setSelectedArea (const QRect &rect)
void | setSoftProofingEnabled (bool enabled)
void | setUndoImg (const UndoMetadataContainer &c, const DImg &img)
| For internal usage by UndoManager.
void | setUndoManagerOrigin ()
bool | sixteenBit () const
bool | softProofingEnabled () const
void | switchToLastSaved (const DImageHistory &resolvedCurrentHistory=DImageHistory())
void | undo ()
UndoState | undoState () const
int | width () const
void | zoom (double val)

## Static Public Member Functions
static EditorCore * | defaultInstance ()
static void | setDefaultInstance (EditorCore *const instance)

## Protected Slots
void | slotImageLoaded (const LoadingDescription &loadingDescription, const DImg &img)
void | slotImageSaved (const QString &filePath, bool success)
void | slotLoadingProgress (const LoadingDescription &loadingDescription, float progress)
void | slotSavingProgress (const QString &filePath, float progress)